"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactIntl = require("react-intl");

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var _default = configContext => {
  const {
    TextInput,
    TermPickerInput,
    DateInput,
    StructuredDateInput,
    CompoundInput
  } = configContext.inputComponents;
  const {
    configKey: config
  } = configContext.configHelpers;
  const {
    extensions
  } = configContext.config;
  const {
    DATA_TYPE_STRUCTURED_DATE
  } = configContext.dataTypes;
  return {
    document: {
      'ns2:persons_dvp': {
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/person/local/dvp'
          }
        },
        dartmouthGroupList: {
          [config]: {
            view: {
              type: CompoundInput
            }
          },
          dartmouthGroup: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  "id": "field.persons_dvp.dartmouthGroup.name",
                  "defaultMessage": "Darmouth connections"
                }
              }),
              repeating: true,
              view: {
                type: CompoundInput
              }
            },
            dartmouthConnection: {
              [config]: {
                messages: (0, _reactIntl.defineMessages)({
                  name: {
                    "id": "field.persons_dvp.dartmouthConnection.name",
                    "defaultMessage": "Connection"
                  }
                }),
                view: {
                  type: TermPickerInput,
                  props: {
                    source: 'dartmouthconnections'
                  }
                }
              }
            },
            dartmouthConnectionOther: {
              [config]: {
                messages: (0, _reactIntl.defineMessages)({
                  fullName: {
                    "id": "field.persons_dvp.dartmouthConnectionOther.fullName",
                    "defaultMessage": "Other connection"
                  },
                  name: {
                    "id": "field.persons_dvp.dartmouthConnectionOther.name",
                    "defaultMessage": "Other"
                  }
                }),
                view: {
                  type: TextInput
                }
              }
            },
            collegeBranch: {
              [config]: {
                messages: (0, _reactIntl.defineMessages)({
                  name: {
                    "id": "field.persons_dvp.collegeBranch.name",
                    "defaultMessage": "College branch"
                  }
                }),
                view: {
                  type: TermPickerInput,
                  props: {
                    source: 'collegebranches'
                  }
                }
              }
            },
            yearsOfAttendanceDate: _objectSpread({
              [config]: {
                dataType: DATA_TYPE_STRUCTURED_DATE,
                messages: (0, _reactIntl.defineMessages)({
                  name: {
                    "id": "field.persons_dvp.yearsOfAttendanceDate.name",
                    "defaultMessage": "Years active"
                  }
                }),
                searchView: {
                  type: DateInput
                },
                view: {
                  type: StructuredDateInput
                }
              }
            }, extensions.structuredDate.fields),
            yearOfGraduationDate: _objectSpread({
              [config]: {
                dataType: DATA_TYPE_STRUCTURED_DATE,
                messages: (0, _reactIntl.defineMessages)({
                  name: {
                    "id": "field.persons_dvp.yearOfGraduationDate.name",
                    "defaultMessage": "Year of graduation"
                  }
                }),
                searchView: {
                  type: DateInput
                },
                view: {
                  type: StructuredDateInput
                }
              }
            }, extensions.structuredDate.fields)
          }
        }
      }
    }
  };
};

exports.default = _default;